# API definition file used by all commands or Draig by default
# Change this here if you rename the project file
apiProject: confusion.yaml

# Sort method arguments to place required parameters before optional parameters
# (Default: true)
sortParamsByRequiredFlag: true

# Whether to ensure parameter names are unique in an operation
# (rename parameters that are not). (Default: true)
ensureUniqueParams: true

# boolean, toggles whether unicode identifiers are allowed in names or not
# (Default: false)
allowUnicodeIdentifiers: true

# Add form or body parameters to the beginning of the parameter list
# (Default: false)
prependFormOrBodyParameters: false

# TCP port to listen on
serverPort: 3001

# Always generate API tests
testsClean: true

# Seed database custom configuration using faker
seedGen:
  useFaker: true
  tabs:
    dishes:
      rows: 10
    comments:
      rows: 9
      cols:
        dishid: '{{datatype.number({"min":1, "max":10})}}'
        rating: '{{datatype.number({"min":1, "max":5})}}'
        comment: '{{lorem.text}}'
        date: '{{date.past(2)}}'
    feedback:
      rows: 15
      cols:
        telnum: '{{phone.phoneNumber}}'

# Database params
dbClient: mysql
dbName: confusion
dbUserName: confusion
dbUserPassword: confusion
dbHost: localhost
